#!/bin/sh

if [ "$1" == "" ]
then
	echo Usage : $0 [mount point] [-ro]
	echo Le mount point doit correspondre à une ligne de /proc/mounts
	echo ATTENTION : ne pas mettre de "/" a la fin !
	exit 1
fi

if [ "$2" == "-ro" ]
then
	mode=ro
else
	mode=rw
fi

ls "$1" > /dev/null 2>&1
lsres=$?
if [ `grep " $1 " /proc/mounts|awk '{print $4}'|grep -c "$mode,"` -eq 1 -a $lsres -eq 0 ]
then
	echo -n "OK - "
	df -P -H |egrep " $1$"
	exit 0
else
	if [ `grep -c " $1 " /proc/mounts` -eq 1 -a $lsres -eq 0 ]
	then
		if [ "$mode" == "rw" ]
		then
			mode="read-only"
		else
			mode="read-write"
		fi
		echo WARNING - Partition montee en $mode !
		exit 1
	else
		if [ $lsres -ne 0 ]
		then
			echo CRITICAL - Echec de listage des fichiers dans le point de montage !
		else
			echo CRITICAL - Partition non-montee !
		fi
		exit 2
	fi
fi
